GDB (xrefs)

Public Member Functions | List of all members
cli_interp_base Class Referenceabstract

`#include "cli-interp.h"`

Inheritance diagram for cli_interp_base:

## Public Member Functions
| cli_interp_base (const char *name)
virtual | ~cli_interp_base ()=0
void | set_logging (ui_file_up logfile, bool logging_redirect) override
void | pre_command_loop () override
bool | supports_command_editing () override
Public Member Functions inherited from interp
| interp (const char *name)
virtual | ~interp ()=0
virtual void | init (bool top_level)
virtual void | resume ()=0
virtual void | suspend ()=0
virtual gdb_exception | exec (const char *command)=0
virtual ui_out * | interp_ui_out ()=0

## Additional Inherited Members
Public Attributes inherited from interp
const char * | name
struct interp * | next
bool | inited

## Detailed Description

Definition at line 25 of file cli-interp.h.

## Constructor & Destructor Documentation

## ◆ cli_interp_base()

cli_interp_base::cli_interp_base | ( | const char * | name | ) |
| explicit

Definition at line 33 of file cli-interp.c.

## ◆ ~cli_interp_base()

cli_interp_base::~cli_interp_base | ( |  | ) |
| pure virtual

Definition at line 37 of file cli-interp.c.

## Member Function Documentation

## ◆ pre_command_loop()

void cli_interp_base::pre_command_loop | ( |  | ) |
| override virtual

Reimplemented from interp.

Definition at line 282 of file cli-interp.c.

References display_gdb_prompt().

## ◆ set_logging()

void cli_interp_base::set_logging | ( | ui_file_up | logfile,
|  | bool | logging_redirect
| ) |  |
| override virtual

Implements interp.

Definition at line 407 of file cli-interp.c.

References saved_output_files::err, gdb_stderr, gdb_stdlog, gdb_stdout, gdb_stdtarg, gdb_stdtargerr, saved_output_files::log, logging_redirect, make_logging_output(), saved_output_files::out, saved_output, saved_output_files::targ, and saved_output_files::targerr.

## ◆ supports_command_editing()

bool cli_interp_base::supports_command_editing | ( |  | ) |
| override virtual

Reimplemented from interp.

Definition at line 349 of file cli-interp.c.

The documentation for this class was generated from the following files:

- /tmp/gdb-8.1/gdb/cli/cli-interp.h
- /tmp/gdb-8.1/gdb/cli/cli-interp.c